Subject: Re: bug#50212: Several tests fail, Bash fails often. Was: Tests fail while building Guix

From: Maxim Cournoyer <[email-masked]>
Date: Mon, 30 Aug 2021 16:24:54 -0400

Hello Simon,

Simon Streit <[email-masked]> writes:

> Maxim Cournoyer <[email-masked]> writes:
>> I'm guessing the i386 does something bogus?  Your x86_64 is already able
>> to run i386 code natively, AFAIK.
>
> Alright, this was my interpretation from the manual and available
> architectures that I just plugged it all together like that.  I wasn't
> aware that x86_64 can run i386 natively.
>
>> The binfmt service type registers binary formats of non-native
>> architectures with interpreters to run them [0]; this way, when an ARM
>> binary is encountered on a x86_64 system, the kernel Linux knows to
>> launch it via QEMU, for example.  Since commit
>> 77c2f4e2068ebec3f384c826c5a99785125ff72c, this is in effect for any
>> container (it used to be possible to enable it with (guix-support? #t)
>> on only for the container spawned by guix-daemon.
>
> I reenabled the service without it mentioning i386.  Building Guix
> passes as expected.  Thank you.

No worries.  Thank you for the update.

Closing.

Maxim